<template>
  <div>
    <div class=" flex justify-between py-5 border-b border-gray-200"
         @click="$router.push({path: 'msgDetail', query: { info: JSON.stringify(info) }})">
      <span class=" text-sm text-left font-semibold" :class="isRead?'text-gray-400':'text-gray-800'">{{ info.title }}</span>
      <span class=" text-sm text-right text-gray-400">{{ $format(info.update_at, 'YYYY-MM-DD HH:mm:ss') }}</span>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue'

export default defineComponent({
  computed:{
    isRead(){
      return false
    }
  },
  props: {
    info: {
      type: Object
    }
  },
  setup () {

    return {
      
    }
  }
})
</script>

<style scoped>

</style>